import java.io.*;
import java.net.*;

public class UDPServer {

    public static final int PORT = 9013;
    public static final int DGRAM_BUF_LEN = 512;

    public static void main(String[] args) throws Exception
    {
        DatagramSocket socket = null;
        //Create socket
	socket = new DatagramSocket(PORT);
        while (true) {
            byte[] buf = new byte[DGRAM_BUF_LEN];
            DatagramPacket packet = new DatagramPacket(buf, buf.length);
            socket.receive(packet);
                
            // get data
            buf = packet.getData();
            // get client info
            InetAddress clientAddr = packet.getAddress();
            int port = packet.getPort();

            System.out.println(new String(buf) + "," + clientAddr + "," + port);
        }
    }
}